local gr, down  = love.graphics, love.keyboard.isDown

function love.load()
	width,height = love.graphics.getDimensions()
	px,py	= -width,-height
	image	= gr.newImage( 'lenaC.jpg' )
	w, h	= image:getWidth(), image:getHeight()
	sx		= 4
	sy		= sx * height / width
	quad 	= gr.newQuad( 0, 0, sx*w, sy*h, w, h )
	image:setWrap( 'repeat', 'repeat' )
	end

function love.update( dt )
	local speed = 1000 * dt
	if down("up")			then py = py - speed end
	if down("down")			then py = py + speed end
	if down("left")			then px = px - speed end
	if down("right")		then px = px + speed end


	if px < -3*width		then px = -width	end
	if px > -width			then px = -3*width	end
	if py < -2*height		then py = -height	end
	if py > -height			then py = -2*height	end

	end

function love.draw()
	gr.setColor( 255, 255, 255, 255 )
	gr.draw( image, quad, px, py, 0, width/w, height/h )

	gr.setColor( 0, 0, 255, 155 )
	gr.circle( 'fill', 400, 300, 20, 20 )
	gr.setColor( 0, 0, 0, 96 )
	gr.circle( 'line', 400, 300, 20, 20 )

	gr.setColor( 255, 255, 255 )
	gr.print( math.floor(px)..': '..math.floor(py), 200, 550 )
	end

function love.keypressed( key )
	if key == 'escape'	then love.event.push( 'quit' )	end
	end
